<?php

namespace App\Http\Requests\V1\Stat;

use Illuminate\Foundation\Http\FormRequest;

class StatAlertRequest extends FormRequest
{
    public function authorize(): bool
    {
        return true;
    }

    public function rules(): array
    {
        return [
            'limit' => 'nullable|integer|min:1|max:100',
            'unread_only' => 'nullable|boolean',
        ];
    }
}
